Runtime

## org.eclipse.gmf.runtime.common.ui.resources
Interface IFileObserver

public interface IFileObserver

A file observer is notified of changes to files in the workspace.

Method Summary
`void` `handleFileChanged(IFile file)` handle the file content changed event.
`void` `handleFileDeleted(IFile file)` handle the file deleted event.
`void` `handleFileMoved(IFile oldFile, IFile file)` handle the file moved event.
`void` `handleFileRenamed(IFile oldFile, IFile file)` handle the file renamed event.
`void` `handleMarkerAdded(IMarker marker)` handle the marker added event
`void` `handleMarkerChanged(IMarker marker)` handle the marker changed event
`void` `handleMarkerDeleted(IMarker marker, java.util.Map attributes)` Handle the marker deleted event.

Method Detail

### handleFileRenamed

    public void handleFileRenamed(IFile oldFile,
                                  IFile file)

  handle the file renamed event.

  Parameters:
    `oldFile` - the original file.
    `file` - the renamed file.

### handleFileMoved

    public void handleFileMoved(IFile oldFile,
                                IFile file)

  handle the file moved event.

  Parameters:
    `oldFile` - the original file.
    `file` - the moved file.

### handleFileDeleted

    public void handleFileDeleted(IFile file)

  handle the file deleted event.

  Parameters:
    `file` - the deleted file.

### handleFileChanged

    public void handleFileChanged(IFile file)

  handle the file content changed event.

  Parameters:
    `file` - the changed file.

### handleMarkerAdded

    public void handleMarkerAdded(IMarker marker)

  handle the marker added event

  Parameters:
    `marker` - the added marker

### handleMarkerDeleted

    public void handleMarkerDeleted(IMarker marker,
                                    java.util.Map attributes)

  Handle the marker deleted event. Note that if the marker was deleted, it cannot be used to access attributes. Use the attribute map parameter to access the old marker's attributes.

  Parameters:
    `marker` - the deleted marker
    `attributes` - the old marker's attributes.

### handleMarkerChanged

    public void handleMarkerChanged(IMarker marker)

  handle the marker changed event

  Parameters:
    `marker` - the changed marker

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.